SPARK_HOME="/home/osboxes/Downloads/spark-3.2.2-bin-hadoop3.2"
MEMORY="4g"
SPARK_MASTER="spark://osboxes:7077"
CASSANDRA_HOST="localhost"


"$SPARK_HOME"/bin/spark-submit \
--master "$SPARK_MASTER" \
--conf spark.executor.memory="$MEMORY" \
--conf spark.cassandra.connection.host="$CASSANDRA_HOST" \
--conf spark.sql.session.timeZone=UTC \
--conf spark.sql.extensions=com.datastax.spark.connector.CassandraSparkExtensions \
--packages com.datastax.spark:spark-cassandra-connector_2.12:3.2.0 \
./src/spark/main.py
